
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was sevmgr-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/sevmgr" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the SEvMgr package. It defines the following variables:
#  SEVMGR_VERSION      - version of SEvMgr
#  SEVMGR_BINARY_DIRS  - binary directories for SEvMgr
#  SEVMGR_INCLUDE_DIRS - include directories for SEvMgr
#  SEVMGR_LIBRARY_DIRS - library directories for SEvMgr
#  SEVMGR_LIBEXEC_DIR  - internal exec directory for SEvMgr
#  SEVMGR_LIBRARIES    - libraries to link against
#  SEVMGR_EXECUTABLES  - the SEvMgr binaries/executables

# Tell the user project where to find SEvMgr headers and libraries
set (SEVMGR_VERSION "1.00.11")
set (SEVMGR_BINARY_DIRS "${PACKAGE_PREFIX_DIR}/bin")
set (SEVMGR_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set (SEVMGR_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64")
set (SEVMGR_LIBEXEC_DIR "${PACKAGE_PREFIX_DIR}/libexec")

# Library dependencies for SEvmgr (contains definitions for the SEvMgr IMPORTED
# targets)
include ("${CMAKE_CURRENT_LIST_DIR}/sevmgr-library-depends.cmake")

# These are the SEvMgr IMPORTED targets, created by sevmgr-library-depends.cmake
set (SEVMGR_LIBRARIES sevmgrlib)
set (SEVMGR_EXECUTABLES sevmgr sevmgr_demo)
